- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
WP6TabGroup Class Reference

`#include <WP6TabGroup.h>`

Inheritance diagram for WP6TabGroup:

## Public Member Functions
| WP6TabGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *listener)
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
virtual | ~WP6VariableLengthGroup ()
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Attributes
double | m_position
bool | m_ignoreFunction

## Additional Inherited Members
Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

WP6TabGroup::WP6TabGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## Member Function Documentation

void WP6TabGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Reimplemented from WP6VariableLengthGroup.

void WP6TabGroup::parse | ( | WP6Listener * | listener | ) |
| virtual

Implements WP6Part.

## Member Data Documentation

bool WP6TabGroup::m_ignoreFunction
| private

Referenced by _readContents(), and parse().

double WP6TabGroup::m_position
| private

Referenced by _readContents(), and parse().

The documentation for this class was generated from the following files:

- WP6TabGroup.h
- WP6TabGroup.cpp